<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastraCategoria.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:link outcome="mostraTodosCampeonatos.xhtml" value="#{msg['pages.menuCampeonatos.backShowChamp']}"/>
		<h1><p:outputLabel value="#{msg['pages.cadastraCategoria.title']}"/></h1>
		
		<h:form id="formCategoria">
			<p:panelGrid columns="2">
			
				<p:outputLabel value="#{msg['pages.cadastraCategoria.nome']}:"/>
				<p:inputText value="#{categoriaManagedBean.categoria.nome}"/>
				
				<p:outputLabel value="#{msg['pages.cadastraCategoria.nascidosApartirDe']}:"/>
				<p:inputText value="#{categoriaManagedBean.categoria.nascidosApartirDe}"/>
				
				<p:outputLabel value="#{msg['pages.cadastraCategoria.campeonato']}:"/>
				<p:outputLabel value="#{categoriaManagedBean.campeonatoSelecionado.nome}"/>
				
				<p:outputLabel value="#{msg['pages.cadastraCategoria.minJogadores']}:"/>
				<p:inputText value="#{categoriaManagedBean.categoria.minJogadores}"/>
				
				<p:outputLabel value="#{msg['pages.cadastraCategoria.maxJogadores']}:"/>
				<p:inputText value="#{categoriaManagedBean.categoria.maxJogadores}"/>
				
				<p:outputLabel for="sexo" value="#{msg['pages.cadastraCategoria.sexo']}:"/>
				<p:selectOneRadio id="sexo" required="true"
				 value="#{categoriaManagedBean.categoria.sexo}">
					<f:selectItems value="#{categoriaManagedBean.sexo}"
					var="sexo" itemLabel="#{sexo.descricao}" itemValue="#{sexo}"/>
        </p:selectOneRadio>

				<p:commandButton value="#{msg['pages.cadastraCategoria.btnSalvar']}"
						 		 action="#{categoriaManagedBean.salvar}"
						 		 update="formCategoria"/>
								 
			</p:panelGrid>
		</h:form>
	</ui:define>

</ui:composition>